summaryrefslogtreecommitdiffstats
path: root/release/picobsd/isp/lang/update.pl
diff options
context:
space:
mode:
authorabial <abial@FreeBSD.org>1998-08-27 17:38:45 +0000
committerabial <abial@FreeBSD.org>1998-08-27 17:38:45 +0000
commitd38ad5332060d44f048e5b407d0b8e17da9a909c (patch)
tree3a1c3f90cb24f6c1da60d6fc980d38317610a4c8 /release/picobsd/isp/lang/update.pl
downloadFreeBSD-src-d38ad5332060d44f048e5b407d0b8e17da9a909c.zip
FreeBSD-src-d38ad5332060d44f048e5b407d0b8e17da9a909c.tar.gz
Initial import of PicoBSD v0.4 tree.
Diffstat (limited to 'release/picobsd/isp/lang/update.pl')
-rwxr-xr-xrelease/picobsd/isp/lang/update.pl23
1 files changed, 23 insertions, 0 deletions
diff --git a/release/picobsd/isp/lang/update.pl b/release/picobsd/isp/lang/update.pl
new file mode 100755
index 0000000..3a95e00
--- /dev/null
+++ b/release/picobsd/isp/lang/update.pl
@@ -0,0 +1,23 @@
+#!/bin/sh
+# $Id: update.pl,v 1.3 1998/08/10 19:16:43 abial Exp $
+pwd=`pwd`
+echo -n "Uaktualniam katalog /etc na dyskietce... "
+mount /dev/fd0a /start_floppy
+if [ "X$?" != "X0" ]
+then
+ echo ""
+ echo "Blad podczas montowania read/write dyskietki!"
+ echo "Sprawdz, czy nie jest zabezpieczona przed zapisem..."
+ exit 1
+fi
+cd /etc
+rm *.db
+rm passwd
+cp -Rp . /start_floppy/etc/
+pwd_mkdb master.passwd
+echo " Zrobione."
+echo -n "Uaktualniam parametry jadra..."
+kget -incore /start_floppy/kernel.config /stand/vanilla
+umount /dev/fd0a
+cd ${pwd}
+echo " Zrobione."
OpenPOWER on IntegriCloud